Subject: bug#61485: closed (Re: bug#61485: [PATCH] In knot-service, shorten SOA refresh to maximum recommended in RFC 1912.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 06 Mar 2023 08:16:02 +0000

Your bug report

#61485: [PATCH] In knot-service, shorten SOA refresh to maximum recommended in RFC 1912.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61485: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61485
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61485: [PATCH] In knot-service, shorten SOA refresh to maximum recommended in RFC 1912.
From: 宋文武 <[email-masked]>
To: Felix Lechner <[email-masked]>
Cc: [email-masked]
Date: Mon, 06 Mar 2023 16:15:48 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Felix Lechner <[email-masked]> writes:

> The Knot DNS service in Guix uses two days, or 48 hours, for the SOA
> refresh interval but that is outside the range of RFC 1912, which is
> entitled "Common DNS Operational and Configuration Errors." [1]
> [..]

Pushed, thank you!

Subject: [PATCH] In knot-service, shorten SOA refresh to maximum recommended in RFC 1912.
From: Felix Lechner <[email-masked]>
To: [email-masked]
Cc: Felix Lechner <[email-masked]>
Date: Mon, 13 Feb 2023 10:59:43 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

The Knot DNS service in Guix uses two days, or 48 hours, for the SOA
refresh interval but that is outside the range of RFC 1912, which is
entitled "Common DNS Operational and Configuration Errors." [1]

Section 2.2 of RFC 1912 recommends a maximum of 12 hours for the SOA
refresh rate: "You can keep it short (20 mins to 2 hours) if you
aren't worried about a small increase in bandwidth used, or longer
(2-12 hours) if your Internet connection is slow or is started on
demand."

This commit sets the default refresh interval at the nearest value
recommended by the standard, which is 12 hours.

Due to the widespread adoption of NOTIFY messages between primary and
secondary DNS servers, the SOA refresh interval has arguably lost some
importance, but the Guix default should still be in line with the
standards.

Values outside the recommended range can provoke warning messages from
services commonly used to find bugs in DNS configurations, such as the
MX Toolbox Super Tool. [2]

[1] https://datatracker.ietf.org/doc/rfc1912/
[2] https://mxtoolbox.com/SuperTool.aspx

---
 gnu/services/dns.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/services/dns.scm b/gnu/services/dns.scm
index 50753b7ab6..32fb8c0664 100644
--- a/gnu/services/dns.scm
+++ b/gnu/services/dns.scm
@@ -114,7 +114,7 @@ (define-record-type* <zone-file>
   (serial  zone-file-serial
            (default 1))
   (refresh zone-file-refresh
-           (default (* 2 24 3600)))
+           (default (* 12 3600)))
   (retry   zone-file-retry
            (default (* 15 60)))
   (expiry  zone-file-expiry

base-commit: ee69b60426d4f87ea19e32f757f1e7415ae58879
-- 
2.39.1